[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TNotebook.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 136

`public constructor TNotebook.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance.

Create calls the inherited constructor using TheOwner as the owner of the class instance. Create allocates resources needed for members in the class instance, and sets the default values for the following properties:

ControlStyle
  Set to an empty set ([]).
PageIndex
  Set to -1 to indicate that no page is selected or visible in the notebook.
Bounds
  Set to the default size for the class (GetControlClassDefaultSize).